//
// File: Tfunc.h
// Created by: cc <(null)>
// Created on: Mon Oct 21 21:04:10 2002
//

#include "Tfunc.h"
#include <math.h>


Tfunc::Tfunc() : Stk()
{
	setFreq(440.0);
	setAmp(1.0);
	iPhase = 0.0;
}


Tfunc::~Tfunc()
{
	// TODO: put destructor code here
}

void Tfunc::setFreq(double f)
{
	freq = f;
	phaseInc = freq * (2.0 * PI / sampleRate());
}
void Tfunc::setAmp(double a)
{
	amp = a;
}
double Tfunc::tick()
{
	iPhase += phaseInc;
	return (amp * sin(iPhase));
}

double Tfunc::tick(double am, double fm)
{
	iPhase += (phaseInc + fm * (2.0 * PI / sampleRate()));
	return (amp * am * sin(iPhase));
}

