//
// File: TermIO.h
// Created by: cc <(null)>
// Created on: Mon Sep 23 08:18:52 2002
//

#ifndef _TERMIO_H_
#define _TERMIO_H_
#include <ncurses.h>

class TermIO
{
      public:
	TermIO (bool eat_all_key_strokes);
	~TermIO ();

	// TermIO interface

	bool quit;
	void pollEvent ();
	void printDouble (double d);
	void printString (char *s);
	double coeffA;
	double coeffF;
      protected:
	// TermIO variables

	  WINDOW * w;
	bool chain;

};


#endif //_TERMIO_H_
